@echo off

IF EXIST "__backup/pikibank.bx" (
  goto FAIL
)

:PACK
mkdir "./__backup"
mkdir "./__backup/Banks"
copy "./Banks/PikiBank.bx" "./__backup/" > NUL
copy "./Banks" "./__backup/Banks" > NUL
echo Unpacking BXFILE

echo "%CD%/Banks"
"%CD%/tool/bxpack.exe" unpack "Banks/pikibank.bx" "Audio_Modding/__JAMTOOLS_BXPROJECT"

echo Unpacking WSYS
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/__JAMTOOLS_BXPROJECT/00000000.ws" "./Audio_Modding/SoundEffects" -awpath "%CD%/Banks/"
REM "%CD%/tool/wsystool.exe" unpack "./Audio_Modding/__JAMTOOLS_BXPROJECT/00000001.ws" "./Audio_Modding/WS1" -awpath "%CD%/Banks/"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/__JAMTOOLS_BXPROJECT/00000002.ws" "./Audio_Modding/DemoSoundEffects" -awpath "%CD%/Banks/"
REM "%CD%/tool/wsystool.exe" unpack "./Audio_Modding/__JAMTOOLS_BXPROJECT/00000003.ws" "./Audio_Modding/WS3" -awpath "%CD%/Banks/"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/__JAMTOOLS_BXPROJECT/00000004.ws" "./Audio_Modding/tutorial" -awpath "%CD%/Banks/"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/__JAMTOOLS_BXPROJECT/00000005.ws" "./Audio_Modding/play3" -awpath "%CD%/Banks/"
REM "%CD%/tool/wsystool.exe" unpack "./Audio_Modding/__JAMTOOLS_BXPROJECT/00000006.ws" "./Audio_Modding/WS6" -awpath "%CD%/Banks/"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/__JAMTOOLS_BXPROJECT/00000007.ws" "./Audio_Modding/jungle" -awpath "%CD%/Banks/"
REM "%CD%/tool/wsystool.exe" unpack "./Audio_Modding/__JAMTOOLS_BXPROJECT/00000008.ws" "./Audio_Modding/WS8" -awpath "%CD%/Banks/"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/__JAMTOOLS_BXPROJECT/00000009.ws" "./Audio_Modding/yaku" -awpath "%CD%/Banks/"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/__JAMTOOLS_BXPROJECT/00000010.ws" "./Audio_Modding/cave" -awpath "%CD%/Banks/"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/__JAMTOOLS_BXPROJECT/00000011.ws" "./Audio_Modding/boss2" -awpath "%CD%/Banks/"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/__JAMTOOLS_BXPROJECT/00000012.ws" "./Audio_Modding/map" -awpath "%CD%/Banks/"
REM"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/__JAMTOOLS_BXPROJECT/00000013.ws" "./Audio_Modding/map" -awpath "%CD%/Banks/"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/__JAMTOOLS_BXPROJECT/00000014.ws" "./Audio_Modding/diary" -awpath "%CD%/Banks/"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/__JAMTOOLS_BXPROJECT/00000015.ws" "./Audio_Modding/diary2" -awpath "%CD%/Banks/"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/__JAMTOOLS_BXPROJECT/00000016.ws" "./Audio_Modding/boss3" -awpath "%CD%/Banks/"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/__JAMTOOLS_BXPROJECT/00000017.ws" "./Audio_Modding/flow" -awpath "%CD%/Banks/"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/__JAMTOOLS_BXPROJECT/00000018.ws" "./Audio_Modding/select" -awpath "%CD%/Banks/"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/__JAMTOOLS_BXPROJECT/00000019.ws" "./Audio_Modding/char" -awpath "%CD%/Banks/"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/__JAMTOOLS_BXPROJECT/00000020.ws" "./Audio_Modding/cresult" -awpath "%CD%/Banks/"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/__JAMTOOLS_BXPROJECT/00000021.ws" "./Audio_Modding/Fresult" -awpath "%CD%/Banks/"

echo Unpacking IBNK
mkdir ./Audio_Modding/_IBNK/
"%CD%/tool/ibnktool.exe" unpack 0 "./Audio_Modding/include/00000000.bnk" "./Audio_Modding/_IBNK/IBNK00"
"%CD%/tool/ibnktool.exe" unpack 0 "./Audio_Modding/include/00000001.bnk" "./Audio_Modding/_IBNK/IBNK01"
"%CD%/tool/ibnktool.exe" unpack 0 "./Audio_Modding/include/00000002.bnk" "./Audio_Modding/_IBNK/IBNK02"
"%CD%/tool/ibnktool.exe" unpack 0 "./Audio_Modding/include/00000003.bnk" "./Audio_Modding/_IBNK/IBNK03"
"%CD%/tool/ibnktool.exe" unpack 0 "./Audio_Modding/include/00000004.bnk" "./Audio_Modding/_IBNK/IBNK04"
"%CD%/tool/ibnktool.exe" unpack 0 "./Audio_Modding/include/00000005.bnk" "./Audio_Modding/_IBNK/IBNK05"
"%CD%/tool/ibnktool.exe" unpack 0 "./Audio_Modding/include/00000006.bnk" "./Audio_Modding/_IBNK/IBNK06"
"%CD%/tool/ibnktool.exe" unpack 0 "./Audio_Modding/include/00000007.bnk" "./Audio_Modding/_IBNK/IBNK07"
"%CD%/tool/ibnktool.exe" unpack 0 "./Audio_Modding/include/00000008.bnk" "./Audio_Modding/_IBNK/IBNK08"
"%CD%/tool/ibnktool.exe" unpack 0 "./Audio_Modding/include/00000009.bnk" "./Audio_Modding/_IBNK/IBNK09"
"%CD%/tool/ibnktool.exe" unpack 0 "./Audio_Modding/include/00000010.bnk" "./Audio_Modding/_IBNK/IBNK10"
"%CD%/tool/ibnktool.exe" unpack 0 "./Audio_Modding/include/00000011.bnk" "./Audio_Modding/_IBNK/IBNK11"
"%CD%/tool/ibnktool.exe" unpack 0 "./Audio_Modding/include/00000012.bnk" "./Audio_Modding/_IBNK/IBNK12"
"%CD%/tool/ibnktool.exe" unpack 0 "./Audio_Modding/include/00000013.bnk" "./Audio_Modding/_IBNK/IBNK13"
"%CD%/tool/ibnktool.exe" unpack 0 "./Audio_Modding/include/00000014.bnk" "./Audio_Modding/_IBNK/IBNK14"
"%CD%/tool/ibnktool.exe" unpack 0 "./Audio_Modding/include/00000015.bnk" "./Audio_Modding/_IBNK/IBNK15"
"%CD%/tool/ibnktool.exe" unpack 0 "./Audio_Modding/include/00000016.bnk" "./Audio_Modding/_IBNK/IBNK16"
"%CD%/tool/ibnktool.exe" unpack 0 "./Audio_Modding/include/00000017.bnk" "./Audio_Modding/_IBNK/IBNK17"
"%CD%/tool/ibnktool.exe" unpack 0 "./Audio_Modding/include/00000018.bnk" "./Audio_Modding/_IBNK/IBNK18"
"%CD%/tool/ibnktool.exe" unpack 0 "./Audio_Modding/include/00000019.bnk" "./Audio_Modding/_IBNK/IBNK19"
"%CD%/tool/ibnktool.exe" unpack 0 "./Audio_Modding/include/00000020.bnk" "./Audio_Modding/_IBNK/IBNK20"
"%CD%/tool/ibnktool.exe" unpack 0 "./Audio_Modding/include/00000021.bnk" "./Audio_Modding/_IBNK/IBNK21"


echo Done.
GOTO EOF

:FAIL
echo WARNING: You already have a backup. If you make a backup now, and have made any changes, this will corrupt the backup of your original game files.
echo Choose wisely.
SET /P AREYOUSURE=No regrets, mister freeman: (Y/[N])
IF /I "%AREYOUSURE%" EQU "Y" GOTO PACK

:EOF
pause